Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jrex.ui
Class JRexPopupMenuImpl

    java.lang.Object
      org.mozilla.jrex.ui.JRexPopupMenuImpl

All Implemented Interfaces:
  ActionListener, ContextMenuListener, EventListener, JRexPopupMenu

public class JRexPopupMenuImpl
extends Object
implements JRexPopupMenu, ActionListener, ContextMenuListener

Class implementing JRexPopupMenu interface.

Version:
  1.0
Author:
  C.N.Medappa
See Also:
  `JRexPopupMenu`

Constructor Summary
`JRexPopupMenuImpl()` Don't use this function to create a JRexToolBar instance use JRexFactory.

Method Summary
`void` | `actionPerformed(ActionEvent ae)`
`void` | `setBrowser(JRexCanvas browser)` Invoked to set the browser component associated with PopupMenu.
`void` | `setMode(int mode)` Invoked to set the WindowManager MODE in use.
`void` | `showContextMenu(ContextMenuEvent ce)` Called when the browser receives a context menu event.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JRexPopupMenuImpl

    public JRexPopupMenuImpl()

  Don't use this function to create a JRexToolBar instance use JRexFactory.

See Also:
  `JRexFactory`

Method Detail

### setBrowser

    public void setBrowser(JRexCanvas browser)

  Description copied from interface: `JRexPopupMenu`
  Invoked to set the browser component associated with PopupMenu.

  Specified by:
    `setBrowser` in interface `JRexPopupMenu`

### setMode

    public void setMode(int mode)

  Description copied from interface: `JRexPopupMenu`
  Invoked to set the WindowManager MODE in use.

  Specified by:
    `setMode` in interface `JRexPopupMenu`

### showContextMenu

    public void showContextMenu(ContextMenuEvent ce)

  Description copied from interface: `ContextMenuListener`
  Called when the browser receives a context menu event. (e.g. user is right-mouse clicking somewhere on the document). The combination of flags, along with the attributes of `event`, indicate where and what was clicked on.

  Specified by:
    `showContextMenu` in interface `ContextMenuListener`
  See Also:
    `ContextMenuEvent`

### actionPerformed

    public void actionPerformed(ActionEvent ae)

  Specified by:
    `actionPerformed` in interface `ActionListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 C.N.Medappa. All Rights Reserved.